BizKitHub
DocsAPI ReferenceLedger/bff/ledger/asset/create
postLedgerAdmin BFF

/bff/ledger/asset/create

Create an asset card (draft)

LedgerpostBffLedgerAssetCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
inventoryNumberstring | nullOptional
One of 2:
Variant 1
string
Length: 0–30
Variant 2
null
namestringRequired
Length: 1–255
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–5000
Variant 2
null
kind"tangible" | "intangible" | nullOptional
One of 3:
Variant 1
"tangible"
Variant 2
"intangible"
Variant 3
null
assetAccountCodestringRequired
Length: 3–16
accumulatedAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 3–16
Variant 2
null
acquisitionAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 3–16
Variant 2
null
sourceDocumentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 16–24
Variant 2
null
inputPricenumberRequired
acquisitionDatestringRequired
Example2026-11-04
taxMethod"straight" | "accelerated" | "by_accounting" | "none"Required
taxGroupnumber | nullOptional
One of 2:
Variant 1
number
Range: 1–6
Variant 2
null
taxFirstYearIncrease"none" | "p10" | "p15" | "p20" | nullOptional
One of 5:
Variant 1
"none"
Variant 2
"p10"
Variant 3
"p15"
Variant 4
"p20"
Variant 5
null
isM1VehiclebooleanOptional
openingTaxYearsnumberOptional
Range: 0–100
openingTaxAmountnumberOptional
Range: 0–∞
openingAccMonthsnumberOptional
Range: 0–1200
openingAccAmountnumberOptional
Range: 0–∞
accUsefulLifeMonthsnumber | nullOptional
One of 2:
Variant 1
number
Range: 1–1200
Variant 2
null
accResidualValuenumberOptional
Range: 0–∞
locationstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
responsiblePersonstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
serialNumberstring | nullOptional
One of 2:
Variant 1
string
Length: 0–100
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/asset/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/asset/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "name": "example_name",
  "assetAccountCode": "example_assetAccountCode",
  "inputPrice": 0,
  "acquisitionDate": "2026-11-04",
  "isM1Vehicle": false,
  "openingTaxYears": 0,
  "openingTaxAmount": 0,
  "openingAccMonths": 0,
  "openingAccAmount": 0,
  "accResidualValue": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key